<?php
class formWysiwygCkeditorOptions extends cmsForm {

    public function init($do) {

        cmsCore::includeFile('wysiwyg/ckeditor/wysiwyg.class.php');

        $editor = new cmsWysiwygCkeditor();

        $childs = array(

            new fieldList('options:admin_editor', array(
                'title' => LANG_CKEDITOR_ADMIN_EDITOR,
                'items' => [
                    'no' => LANG_CKEDITOR_NO,
                    'basic' => LANG_CKEDITOR_BASIC,
                    'standard' => LANG_CKEDITOR_STANDARD,
                    'full' => LANG_CKEDITOR_FULL
                ]
            )),
            
            new fieldList('options:moderator_editor', array(
                'title' => LANG_CKEDITOR_MODERATOR_EDITOR,
                'items' => [
                    'no' => LANG_CKEDITOR_NO,
                    'basic' => LANG_CKEDITOR_BASIC,
                    'standard' => LANG_CKEDITOR_STANDARD,
                    'full' => LANG_CKEDITOR_FULL
                ]
            )),
            
            new fieldList('options:logged_editor', array(
                'title' => LANG_CKEDITOR_LOGGED_EDITOR,
                'items' => [
                    'no' => LANG_CKEDITOR_NO,
                    'basic' => LANG_CKEDITOR_BASIC,
                    'standard' => LANG_CKEDITOR_STANDARD,
                    'full' => LANG_CKEDITOR_FULL
                ]
            )),
            
            new fieldList('options:all_editor', array(
                'title' => LANG_CKEDITOR_ALL_EDITOR,
                'items' => [
                    'no' => LANG_CKEDITOR_NO,
                    'basic' => LANG_CKEDITOR_BASIC,
                    'standard' => LANG_CKEDITOR_STANDARD,
                    'full' => LANG_CKEDITOR_FULL
                ]
            ))
            
        );

        return array(
            array(
                'type' => 'fieldset',
                'title' => LANG_WW_OPTIONS,
                'childs' => $childs
            )
        );
    }
}
